@import url(/css/styles.null.css);
@import url(/css/root.css);
@import url(/css/clash-display.css);
@import url(https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.min.css);

body {
    max-width: 1680px;
    background-color: #E5E5E5;
    font-family: var(--primary-font);
}

.wrapper {
    overflow: hidden;
    min-height: 100%;
}

.container {
    width: 83.33vw;
    margin: auto;
}

.flexbox {
    display: flex;
}
/* blur if burger open on touch devices*/
body._touch .main._blur, body._touch .ftr._blur {
    filter: blur(2px);
}
/* preloader */
.preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000000;
    background-color: #E5E5E5;
}
.preloader__content {
    text-align: center;
    color: var(--secondary-color);
    animation: pulseload 1.2s infinite;
}
/* hide preloader */
.hide {
    visibility: hidden;
    display: none;
}

@keyframes pulseload {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.1);
    }
}

/* header */
.hdr {
    position: fixed;
    width: 100%;
    background-color: #E5E5E5;
    z-index: 9999;
    box-shadow: 0px 8px 0px 2px rgba(229,229,229,0.8);
-webkit-box-shadow: 0px 8px 0px 2px rgba(229,229,229,0.8);
-moz-box-shadow: 0px 8px 0px 2px rgba(229,229,229,0.8);
}
.hdr__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 75px;
    margin: 0 40px;
}
.logo {
    font-size: 24px;
    line-height: 110%;
    text-transform: uppercase;
    color: #101010;
}
/* effect for hovering logo */
.logo:after {
    content: '';
    display: block;
    width: 0;
    height: 1px;
    border-top: 1px solid #000;
    position: relative;
    right: 5%;
    top: 2px;
    transition: width 0.3s ease 0s;
}

body._touch .logo:after {
    content: '';
    display: none;
}

.logo:hover.logo:after {
    width: 110%;
    transition: width 0.3s ease 0s;
}
/* burger */
.hdr__brgr {
    width: 50px;
    height: 23px;
    position: fixed;
    right: 40px;
    z-index: 999;
    cursor: pointer;
}
/* circle around burger */
.hdr__brgr:after {
    content: '';
    position: absolute;
    display: block;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    border: 1px solid var(--secondary-color);
    top: -90px;
    left: -75px;
    opacity: 0;
    transition: opacity 0.7s ease 0.2s;
}
.hdr__brgr._active:after {
    opacity: 1;
    width: 200px;
    height: 200px;
    transition: opacity 0.2s ease 0.2s;
}
/* burger strings */
.hdr__brgr span {
    display: block;
    width: 35px;
    height: 1px;
    background-color: #101010;
    position: absolute;
    right: 0;
    top: calc(23px/2 - 1px);
    transition: width 0.1s ease-in-out 0s;
}

.hdr__brgr span:before {
    content: '';
    width: 50px;
    height: 1px;
    background-color: #101010;
    position: absolute;
    right: 0;
    top: -10px;
    transition: all 0.3s ease-in-out 0s;
}

.hdr__brgr span:after {
    content: '';
    width: 45px;
    height: 1px;
    background-color: #101010;
    position: absolute;
    right: 0;
    top: 10px;
    transition: all 0.3s ease-in-out 0s;
}
/* effect for burger strings */
.hdr__brgr:hover span,
.hdr__brgr:hover span:after {
    width: 50px;
    transition: all 0.2s ease-in-out 0s;
}
/* remove central string for X */
.hdr__brgr._active span,
.hdr__brgr._active:hover span {
    width: 0;
}
/* rotate upper and lower strings for X */
.hdr__brgr._active span:before {
    top: 50%;
    transform: translate(0, -50%);
    transform: rotate(135deg);
    transition: all 0.3s ease-in-out 0s;
}
.hdr__brgr._active span:after {
    width: 50px;
    top: 50%;
    transform: translate(0, -50%);
    transform: rotate(-135deg);
    transition: all 0.3s ease-in-out 0s;
}

.navi__hdr {
    position: absolute;
    width: 100%;
    height: 50vw;
    left: 0;
    top: -1000%;
    visibility: hidden;
    transition: all 0.6s ease 0s;
    background-color: var(--rare-color);
    display: flex;
    align-items: center;
    justify-content: center;
}

.hdr__brgr._active~.navi__hdr {
    visibility: visible;
    top: 0;
    left: 0;
    transition: all 0.6s ease 0s;
    animation: circle 0.5s linear;
    animation-fill-mode: forwards;
    clip-path: circle(0% at 96% 10%);
    min-height: 60vh;
}

@keyframes circle {
    to {
        clip-path: circle(180.3% at 10% 10%);
    }
}

.menu__list {
    text-align: center;
    list-style-type: decimal-leading-zero;
    list-style-position: inside;
    font-size: calc(30vw / 16.8);
    line-height: 120%;
    text-transform: uppercase;
    color: var(--secondary-color);
    align-self: center;
}
.menu__list-item {
    margin-bottom: calc(40vw / 16.8);
}
.menu__list-item:last-child {
    margin-bottom: 0;
}

.menu__link {
    font-size: 5vw;
    line-height: 110%;
    text-transform: uppercase;
    color: var(--primary-color);
    transition-duration: 200ms;
    padding-left: calc(50vw / 16.8);
}
.menu__link:hover {
    color: var(--secondary-color);
    transition-duration: 200ms;
}

.hr_under_ftr {
    width: 100%;
    height: 1px;
    background-color: rgba(16, 16, 16, 0.1);
    margin: calc(229vw / 16.8) 0 calc(94vw / 16.8) 0;
}
/* footer */
.ftr__content {
    display: flex;
    justify-content: space-between;
    margin-bottom: calc(168vw / 16.8);
}
.ftr__title {
    font-size: calc(100vw / 16.8);
line-height: 90%;
color: var(--secondary-color);
width: calc(478vw / 16.8);
}
.ftr_subtitle {
    margin-top: calc(10vw / 16.8);
    font-size: calc(18vw / 16.8);
    line-height: 160%;
    color: var(--primary-color);
    margin-left: calc(81vw / 16.8);
}
.ftr__menu_list {
    position: relative;
}
.ftr__menu_list-title {
    color: var(--secondary-color);
    font-size: calc(30vw / 16.8);
    line-height: 120%;
    text-transform: uppercase;
}
.ftr__menu_list-item {
    margin-top: calc(20vw / 16.8);
    font-size: calc(18vw / 16.8);
    line-height: 160%;
    position: relative;
    transition: all 0.4s ease 0s;
}
.ftr__menu_list-item:hover {
    position: relative;
    color: #000;
    text-decoration: underline;
    transition: all 0.4s ease 0s;
}
.ftr__menu_list-item:first-of-type {
    margin-top: calc(50vw / 16.8);
}
.ftr__menu_list-link {
    color: inherit;
}
.ftr__info_list-title {
    color: var(--secondary-color);
    font-size: calc(30vw / 16.8);
    line-height: 120%;
    text-transform: uppercase;
}
.ftr__info_list-item {
    margin-top: calc(20vw / 16.8);
    font-size: calc(18vw / 16.8);
    line-height: 160%;
    transition: all 0.4s ease 0s;
}
.ftr__info_list-item:hover {
    position: relative;
    color: #000;
    text-decoration: underline;
    transition: all 0.4s ease 0s;
}
.ftr__info_list-item:first-of-type {
    margin-top: calc(50vw / 16.8);
}
.ftr__info_list-link {
    color: inherit;
}

/* main */
.main {
    margin-top: calc(121vw / 16.8 + 75px);
}
.title__block {
    margin-right: calc(107vw / 16.8);
}
.main__title {
    font-size: calc(200vw / 16.8);
    line-height: 90%;
    color: var(--secondary-color);
}
.subtitle__text {
    width: calc(600vw / 16.8);
    margin-top: calc(29vw / 16.8);
    font-size: calc(22vw / 16.8);
    line-height: 160%;
}
.title__btn {
    width: calc(200vw / 16.8);
    height: calc(200vw / 16.8);
    display: flex;
    align-items: center;
    font-size: calc(24vw / 16.8);
    line-height: 110%;
    text-transform: uppercase;
    position: relative;
    transition-duration: 0.3s;
}
.title__btn:hover {
    transform: scale(1.1);
    transition-duration: 0.3s;
}
.title__btn:before {
    content: '';
    position: absolute;
    bottom: -0.6vw;
    left: 0.5vw;
    width: calc(220vw / 16.8);
    height: calc(220vw / 16.8);
    border-radius: 50%;
    border: 1px solid var(--secondary-color);
    pointer-events: none;
}
.circle__btn {
    border-radius: 50%;
    background-color: var(--secondary-color);
    color: var(--rare-color);
    text-align: center;
    display: flex;
    justify-content: center;
    animation: pulse 2.5s infinite;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0px rgba(228, 123, 116, 0.5);
    }

    100% {
        box-shadow: 0 0 0 40px rgba(207, 241, 207, 0);
    }
}
/* projects */
.projects__gallery {
    display: grid;
    grid-template-columns: repeat(2, 50%);
    grid-gap: calc(128vw / 16.8);
    position: relative;
    margin-top: calc(170vw / 16.8);
}
.projects__gallery-title {
    display: none;
}
.project__man_in_dress {
    align-self: center;
    width: 100%;
    height: 100%;
    max-width: calc(700vw / 16.8);
    max-height: calc(855.55vw / 16.8);
    grid-row: 1/3;
}
.project__man_in_dress .project__title {
    width: calc(217vw / 16.8);
}
.man_in_dress-img_btn {
    display: block;
    width: calc(700vw / 16.8);
    height: calc(855.5vw / 16.8);
    background: url('/img/man_in_a_dress.png') 0 0/contain no-repeat;
    position: relative;
}
.project__man_in_dress-btn {
    width: calc(140vw / 16.8);
    height: calc(140vw / 16.8);
    text-align: center;
    padding: calc((70vw / 16.8) - (11vw / 16.8));
    text-transform: uppercase;
    font-size: calc(22vw / 16.8);
    border-radius: 50%;
    background-color: var(--secondary-color);
    color: var(--rare-color);
    text-align: center;
    display: flex;
    justify-content: center;
    position: absolute;
    top: calc(327vw / 16.8);
    right: calc(208vw / 16.8);
    transition: all 0.3s ease 0s;
}

.project__man_in_dress-btn:hover {
    transform: scale(1.1);
    transition: all 0.3s ease 0s;
}
.project__title {
    font-size: calc(30vw / 16.8);
    line-height: 120%;
    text-transform: uppercase;
    margin-bottom: calc(10vw / 16.8);
}
.project__title span {
    text-transform: none;
    color: var(--secondary-color);
}
.project__img {
    width: 100%;
    overflow: hidden;
}
.project__place {
    margin-top: calc(10vw / 16.8);
    font-size: calc(16vw / 16.8);
    line-height: 160%;
}
.project__date {
    font-size: calc(16vw / 16.8);
    line-height: 160%;
}
.project__sit_on_a_chair .project__img {
    width: 100%;
    max-width: calc(400vw / 16.8);
}
.project__hide_one_eye .project__img {
    width: 100%;
    max-width: calc(400vw / 16.8);
}
.project__fashion_girl {
    justify-self: center;
}
.project__fashion_girl .project__img {
    width: 100%;
    max-width: calc(400vw / 16.8);
}
.project__bees_on_a_mouth {
    position: relative;
    left: calc(-128vw / 16.8);
}
.project__bees_on_a_mouth .project__img {
    width: 100%;
    max-width: calc(700vw / 16.8);
}
.project__smoking_man .project__img {
    width: 100%;
    max-width: calc(700vw / 16.8);
}
.project__womans_hands {
    justify-self: center;
}
.project__womans_hands .project__img {
    width: 100%;
    max-width: calc(400vw / 16.8);
}
/* banner section */
.banner__lets_work {
    margin-top: calc(311vw / 16.8);
    justify-content: center;
}
.lets_work_btn {
    width: calc(200vw / 16.8);
    height: calc(200vw / 16.8);
    animation: pulse2 2.5s infinite;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: calc(24vw / 16.8);
    line-height: 110%;
    text-transform: uppercase;
    margin-right: calc(119vw / 16.8);
    position: relative;
    transition: all 0.5s ease 0s;
}
.lets_work_btn:before {
    content: '';
    position: absolute;
    bottom: -0.6vw;
    left: 0.5vw;
    width: calc(220vw / 16.8);
    height: calc(220vw / 16.8);
    border-radius: 50%;
    border: 1px solid var(--secondary-color);
    pointer-events: none;
}
.lets_work_btn:hover {
    position: relative;
    transform: scale(1.1);
    transition: all 0.5s ease 0s;
}
@keyframes pulse2 {
    0% {
        box-shadow: 0 0 0 0px rgba(228, 123, 116, 0.5);
    }

    100% {
        box-shadow: 0 0 0 30px rgba(207, 241, 207, 0);
    }
}
.banner__lets_work-title {
    font-size: calc(100vw / 16.8);
    line-height: 110%;
    text-transform: uppercase;
}
.banner__lets_work-title span {
    text-transform: none;
    color: var(--secondary-color);
}
.hr_under_ftr {
    width: 100%;
    height: 1px;
    background-color: rgba(16, 16, 16, 0.1);
    margin: calc(229vw / 16.8) 0 calc(94vw / 16.8) 0;
}
/* popup */
.contacts__popup {
    width: 0;
    height: 5vw;
    background-color: var(--rare-color);
    border-radius: 1vw;
    position: absolute;
    border: 1px solid var(--secondary-color);
    bottom: 2.6vw;
    left: -5.5vw;
    visibility: hidden;
    opacity: 0;
    transition: all 1s ease 0s;
    animation: popuptext 3s infinite;
}
@keyframes popuptext {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
.contacts__popup:target {
    width: 15vw;
    opacity: 1;
    visibility: visible;
    transition: all 0.5s ease 0.2s;
}
.contacts__popup:after {
    content: '';
    position: absolute;
    width: 1vw;
    height: 1vw;
    bottom: calc(-0.5vw - 1px);
    left: calc(50% - 0.5vw);
    background-color: var(--rare-color);
    border-right: 1px solid var(--secondary-color);
    border-bottom: 1px solid var(--secondary-color);
    transform: rotate(45deg);
}
.contacts__popup p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: calc(16vw / 16.8);
    font-weight: 500;
}

.popup__close:before {
    content: '';
    position: absolute;
    top: calc(10vw / 16.8);
    right: calc(10vw / 16.8);
    width: calc(10vw / 16.8);
    height: calc(2vw / 16.8);
    background-color: #000;
    transform: rotate(45deg);
}
.popup__close:after {
    content: '';
    position: absolute;
    top: calc(10vw / 16.8);
    right: calc(10vw / 16.8);
    width: calc(10vw / 16.8);
    height: calc(2vw / 16.8);
    background-color: #000;
    transform: rotate(-45deg);
}
/* adaptive */
@media (max-width: 767px) {
    .main {
        margin-top: calc(13.17vw + 75px) ;
    }
    .hdr__brgr._active:after {
        opacity: 1;
        width: 100px;
        height: 100px;
        transition: opacity 0.2s ease 0.2s;
        position: absolute;
        top: -37px;
        left: -25px;
    }
}
@media (max-width: 400px) {
    .logo {
        font-size: 18px;
    }
}